Packrat and RStudio issue

shiny
rstudio
shiny-modules
packrat

#1

I'm trying to figure out a couple of things:

  1. whether this is a packrat or RStudio issue
  2. how to phrase it if I raised an issue on GitHub.

I'm working on a project (a packaged shiny app) that uses packrat to manage dependencies. For this project I use an older version of R (3.3.0) - because of this I don't actually have any corresponding packages installed on my computer (I thought the packrat library would suffice). When I try to build the binary shiny app package using the RStudio GUI (Build tab > Build Binary Package) I get a bunch of package errors which indicate that R is looking for the packages in the general and not the project library.

If I run devtools::build(".", binary = TRUE) in the console I do not get any errors.

I'm trying to understand why this is happening and whether it's expected or unexpected behaviour.

Thanks.